import { Client } from './class';
import * as eventFiles from './events';
import * as commandFiles from './commands';

// eslint-disable-next-line no-new
async function main() {
  const client = new Client();
  await client.loadCommands(commandFiles);
  await client.loadEvents(eventFiles);
  await client.loadFunctions();
  await client.init();
}

main();
